#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long int n,x;
    cin >> n >> x;
    long long int kom[n],i;
    long long int levi,desni;
    for(i=0;i<n;i++)
    {
        cin >> kom[i];
        if(i==0)
        {
            levi=kom[i];
            desni=kom[i];
        }
        else
        {
            if(kom[i]<levi)
                levi=kom[i];
            if(kom[i]>desni)
                desni=kom[i];
        }

    }
    if(abs(x-levi)<abs(x-desni))
        cout << abs(x-levi)+abs(levi-desni);
    else
        cout << abs(x-desni)+abs(levi-levi);
    return 0;
}